### A free/open-source library for quantitative finance

Classes
ql/cashflows/fixedratecoupon.hpp File Reference

Coupon paying a fixed annual rate. More...

`#include <ql/cashflows/coupon.hpp>`
`#include <ql/interestrate.hpp>`
`#include <ql/time/daycounter.hpp>`
`#include <ql/time/schedule.hpp>`
Include dependency graph for fixedratecoupon.hpp:

## Classes

class | FixedRateCoupon
| Coupon paying a fixed interest rate More...
class | FixedRateLeg
| helper class building a sequence of fixed rate coupons More...

## Detailed Description

Coupon paying a fixed annual rate.